Query data release list

Lists data publications for the current workspace.

GET https://moi.matrixorigin.cn/newmoi/data-share/publishes

Preparation before calling

Prepare a personal access token and target workspace ID that has access to the target workspace.

The example below uses:

  • $AI_STUDIO_API_KEY: The actual personal access token, passed through the X-API-Key Header.

  • $WORKSPACE_ID: The workspace ID to be queried is passed through the X-Workspace-ID Header.

Request example

curl "https://moi.matrixorigin.cn/newmoi/data-share/publishes?page=1&page_size=20" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Query parameters

Parameter

Type

Required

Description

keyword

string

No

Search by keyword.

page

integer

No

Page number; if not transmitted, return to page 1.

page_size

integer

No

Number per page; if not transmitted, 20 items per page will be returned.

Successful response

Returns 200 on success. data.list is the current page and data.total is the total number of matches.

{
  "code": "OK",
  "msg": "OK",
  "data": {
    "list": [
      {
        "id": "101",
        "name": "sales-share",
        "source_database_id": "1001",
        "mo_database_name": "sales",
        "table_scope": {
          "mode": "selected",
          "object_ids": ["2001"]
        },
        "obj_display_name": "sales",
        "obj_display_path": "catalog/sales",
        "targets": [
          {
            "workspace_id": "ws-002",
            "workspace_name": "分析工作区"
          }
        ],
        "permission": "read",
        "remark": "共享销售数据",
        "created_by": "user-001",
        "created_at": "2026-08-18T10:00:00Z",
        "updated_at": "2026-08-18T10:00:00Z"
      }
    ],
    "total": 1,
    "page": 1,
    "page_size": 20
  }
}

The response fields are as follows.

Field

Type

Description

code

string

OK on success.

msg

string

OK on success.

data.list

object[]

Current page publishing list; empty array when there is no result.

data.total

integer

The total number of matches.

data.page

integer

Current page number.

data.page_size

integer

Number per page.

data.list[].id

string

Release ID.

data.list[].name

string

Release name.

data.list[].source_database_id

string

Source database ID.

data.list[].mo_database_name

string

Source database name in MatrixOne.

data.list[].table_scope

object

Published table range.

data.list[].table_scope.mode

string

Table range mode.

data.list[].table_scope.object_ids

string[]

Specifies the ID of the table; it is an empty array in all table mode.

data.list[].obj_display_name

string

The name of the source object for display.

data.list[].obj_display_path

string

Source object path for display.

data.list[].targets

object[]

List of target workspaces.

data.list[].targets[].workspace_id

string

Target workspace ID.

data.list[].targets[].workspace_name

string

Target workspace name; returned if there is a value.

data.list[].permission

string

Publish permission.

data.list[].remark

string

Release notes.

data.list[].created_by

string

The display name of the creator; returns the creator ID if it cannot be parsed.

data.list[].created_at

string

Creation time.

data.list[].updated_at

string

Last updated time.

In this document, [] after a type means an array; for example, object[] is an array of objects. In field paths, [] means each item in an array; for example, data.list[].id is the id field of each item in data.list.

Error response

{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}

Common HTTP errors

HTTP status code

error code

Common causes

Recommended actions

400

ErrParamInvalid

Pagination or query parameters could not be parsed.

Check page, page_size and keyword.

403

ErrPermissionDenied

The current identity does not have permission to read the publication.

Request to grant read permission to the data publication.

503

ErrServiceUnavailable

Dependent services are temporarily unavailable.

Try again later.

500

ErrServer

The server failed to read the publication list.

Try again later.

Follow-up operations

Use data.list[].id Update data release or Delete data release.

Last updated on